Package org.optaplanner.core.config.solver.recaller

## Class BestSolutionRecallerConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<BestSolutionRecallerConfig>
  - - org.optaplanner.core.config.solver.recaller.BestSolutionRecallerConfig

-     public class BestSolutionRecallerConfig
      extends AbstractConfig<BestSolutionRecallerConfig>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BestSolutionRecallerConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<Solution_> BestSolutionRecaller<Solution_>` | `buildBestSolutionRecaller​(EnvironmentMode environmentMode)` |
    `BestSolutionRecallerConfig` | `copyConfig()` | Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
    `BestSolutionRecallerConfig` | `inherit​(BestSolutionRecallerConfig inheritedConfig)` | Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BestSolutionRecallerConfig

          public BestSolutionRecallerConfig()

  - ### Method Detail

    - #### buildBestSolutionRecaller

          public <Solution_> BestSolutionRecaller<Solution_> buildBestSolutionRecaller​(EnvironmentMode environmentMode)

    - #### inherit

          public BestSolutionRecallerConfig inherit​(BestSolutionRecallerConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Specified by:
        `inherit` in class `AbstractConfig<BestSolutionRecallerConfig>`
      Parameters:
        `inheritedConfig` - never null
      Returns:
        this

    - #### copyConfig

          public BestSolutionRecallerConfig copyConfig()

      Description copied from class: `AbstractConfig`
      Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
      Specified by:
        `copyConfig` in class `AbstractConfig<BestSolutionRecallerConfig>`
      Returns:
        new instance